%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45
%define kderelease 8j1
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename kdeadmin
Name: %{kdename}
Icon: kde-icon.xpm
Summary: K Desktop Environment - System Administration Tools
Version: 1.1.2
Release: %{kderelease}
Epoch: 5
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Patch0: kdeadmin-1.1.2-redhat.patch
Patch1: kdeadmin-1.1.2-broken.patch
Group: Applications/System
BuildRoot: %{_tmppath}/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport
Prefix: %{kdeprefix}
BuildPrereq: compat-egcs-c++
Excludearch: ia64

%description
System Administration tools for the K Desktop Environment.

Included with this package are:
kdat (tape backup); ksysv (sysV init editor); kuser (user administration tool)

%prep
%setup -q -n kdeadmin
%patch0 -p1 -b .redhat
%patch1 -p1 -b .broken
make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure \
  --prefix=%{kdeprefix} \
  --with-pam --with-private-groups \
  --x-libraries=/usr/X11R6/lib \
  --x-includes=/usr/X11R/include \
  --with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}
find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Thu Aug 31 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild against qt1x with i18n patched.

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++
- cleanup specfile
- add Epoch
- fix unclean code
- add BuildPrereq

* Mon Jun 05 2000 Than Ngo <than@redhat.de>
- current version from KDE_1_1_BRANCH 
- rebuild for 7.0

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH (more kuser fixes)

* Mon Jan 16 2000 Preston Brown <pbrown@redhat.com>
- kuser now defaults to "no warning given" for password expiry

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Wed Sep 22 1999 Preston Brown <pbrown@redhat.com>
- more comprehensive patch for kdeadmin

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes   

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane, /opt/kde --> /usr
